<!-- Barra de navegacion -->
<div class="navbar fixed-top navbar-expand navbar-dark bg-dark" *ngIf="currentUser">
  <a class="burgerLink sidebar-toggle text-light mr-3" (click)="onSidebarToggled($event)">
      <div class="text-center" ><i class="fa fa-bars"></i></div>
  </a>
  <h1 class="navbar-brand navbar-text" href="#">
    <img class="LogoHome" 
    src="../assets/logo.jpg" 
    alt="">Control de Tickets
  </h1>
  <div class="navbar-collapse collapse">
    <ul class="navbar-nav ml-auto">
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#"
        id="navDropdownMenuLink" data-toggle="dropdown">
        <i class="fa fa-user"></i> {{currentUser.username}}
      </a>
      <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navDropdownMenuLink">
        <a class="dropdown-item" (click)="onLogout()">Cerrar Sesion</a>
      </div>
      </li>
    </ul>
  </div>
</div>
<!-- Barra de navegacion -->

<!-- Barra lateral -->
<div class="contenido d-flex float-left align-items-stretch">
    <div id="sidebar" class="sidebar bg-dark">
      <ul class="list-unstyled">
          <li *ngFor="let menu of menuCollection; let i = index">
            <div *ngIf="menu.hasSubmenus; then thenBlock; else elseBlock"></div>
            <ng-template #thenBlock>
              <a [attr.href]="menu.ref" data-toggle="collapse"><i [ngClass]="menu.icon"></i> {{menu.name}}</a>
              <ul [attr.id]="menu.submenuId" class="list-unstyled collapse">
                <li *ngFor="let submenu of menu.submenus; let i = index">
                  <a routerLink="{{submenu.ref}}">
                    {{submenu.name}}
                  </a>
                </li>
              </ul>
            </ng-template>
            <ng-template #elseBlock>
                <a routerLink="{{menu.ref}}">
                  <i [ngClass]="menu.icon"></i> {{menu.name}}
                </a>
              </ng-template>
          </li>
      </ul>
    </div>
  </div>

<!-- App container -->
<div class="container overflow-hidden justify-content-center">
  <router-outlet></router-outlet>
</div>